SoScXMLMiscTarget(3)

NAME
SoScXMLMiscTarget - Miscellaneous navigation utility functions.

SYNOPSIS

#include <Inventor/navigation/SoScXMLMiscTarget.h>

Inherits SoScXMLNavigationTarget.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and downward"casting.
Public Member Functions inherited from ScXMLEventTarget
virtual void setEventTargetType (const char *targettype)
const char * getEventTargetType (void) const
virtual void setEventTargetName (const char *targetname)
const char * getEventTargetName (void) const
virtual const ScXMLEvent * getCurrentEvent (void) const
virtual void queueEvent (const ScXMLEvent *event)
virtual void queueEvent (const SbName &eventid)
virtual SbBool processEventQueue (void)
virtual SbBool sendExternalEvent (const ScXMLSendElt *sendelt)
virtual SbBool sendInternalEvent (const ScXMLEventElt *sendelt)
virtual void queueInternalEvent (const ScXMLEvent *event)
virtual void queueInternalEvent (const SbName &eventid)
Public Member Functions inherited from ScXMLObject
SbBool isOfType (SoType type) const
Returns TRUE if the type of this object is either of the same type or inherited from type.

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)
static SoScXMLMiscTarget * constructSingleton (void)
static void destructSingleton (void)
static SoScXMLMiscTarget * singleton (void)
static const SbName & VIEW_ALL (void)
static const SbName & REDRAW (void)
static const SbName & POINT_AT (void)
static const SbName & SET_FOCAL_DISTANCE (void)
static const SbName & SET_CAMERA_POSITION (void)
Static Public Member Functions inherited from SoScXMLNavigationTarget
static SoType getClassTypeId (void)
static void initClass (void)
static void cleanClass (void)
Static Public Member Functions inherited from ScXMLEventTarget
static SoType getClassTypeId (void)
static void initClass (void)
static void cleanClass (void)
Static Public Member Functions inherited from ScXMLObject
static SoType getClassTypeId (void)
This static method returns the SoType object associated with objects of this class.
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static void cleanClass (void)
Does the opposite of initClass, deallocates any class specific resources and resets the class to an uninitialized state with respect to the Coin type system.

  Protected Member Functions
virtual SbBool processOneEvent (const ScXMLEvent *event)
Protected Member Functions inherited from SoScXMLNavigationTarget
Data * getSessionData (SbName sessionid, NewDataFunc *constructor)
void freeSessionData (SbName sessionid)
Protected Member Functions inherited from ScXMLEventTarget
virtual void setCurrentEvent (const ScXMLEvent *event)
virtual const ScXMLEvent * getNextEvent (void)
virtual const ScXMLEvent * getNextInternalEvent (void)
virtual const ScXMLEvent * getNextExternalEvent (void)

  Additional Inherited Members
Protected Types inherited from SoScXMLNavigationTarget
typedef Data * NewDataFunc(void)
Static Protected Member Functions inherited from SoScXMLNavigationTarget
static SbName getSessionId (const ScXMLEvent *event)
static ScXMLStateMachine * getStateMachine (const ScXMLEvent *event, SbName sessionid)
static SoScXMLStateMachine * getSoStateMachine (const ScXMLEvent *event, SbName sessionid)
static SoCamera * getActiveCamera (const ScXMLEvent *event, SbName sessionid)
static SbBool getEventDouble (const ScXMLEvent *event, const char *label, double &dbl_out, SbBool required=TRUE)
static SbBool getEventString (const ScXMLEvent *event, const char *label, SbString &str_out, SbBool required=TRUE)
static SbBool getEventSbBool (const ScXMLEvent *event, const char *label, SbBool &bool_out, SbBool required=TRUE)
static SbBool getEventSbVec2f (const ScXMLEvent *event, const char *label, SbVec2f &vec_out, SbBool required=TRUE)
static SbBool getEventSbVec3f (const ScXMLEvent *event, const char *label, SbVec3f &vec_out, SbBool required=TRUE)
static SbBool getEventSbRotation (const ScXMLEvent *event, const char *label, SbRotation &rot_out, SbBool required=TRUE)
Static Protected Member Functions inherited from ScXMLEventTarget
static void registerEventTarget (ScXMLEventTarget *target, const char *sessionid=NULL)
static void unregisterEventTarget (ScXMLEventTarget *target, const char *sessionid=NULL)
static ScXMLEventTarget * getEventTarget (const char *targettype, const char *targetname, const char *sessionid=NULL)
Static Protected Member Functions inherited from ScXMLObject
static void registerClassType (const char *xmlns, const char *classname, SoType type)
static void registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)
Protected Attributes inherited from ScXMLEventTarget
char * targetname
char * targettype
const ScXMLEvent * currentevent
SbBool isprocessingqueue

Detailed Description

Miscellaneous navigation utility functions.

Member Function Documentation

  SoType SoScXMLMiscTarget::getTypeId (void ) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.

See also
    SoBase::getTypeId() const

Implements SoScXMLNavigationTarget.

  SbBool SoScXMLMiscTarget::processOneEvent (const ScXMLEvent * event) [protected], [virtual]
This function processes one event. The base class implementation does nothing.

Reimplemented from ScXMLEventTarget.

Author

Generated automatically by Doxygen for Coin from the source code.